API Reference for Marketo Engage

Delete Leads

POST /rest/v1/leads/delete.json

Delete a list of leads from the destination instance.

Operation ID
deleteLeadsUsingPOST
Permissions
Read-Write Lead
Request format
application/json
Returns
ResponseOfLead

Parameters

Query 1

id array of integer

Parameter can be specified if the request body is empty. Multiple lead ids can be specified. e.g. id=1,2,3,2342

Request body

application/json · optional · DeleteLeadRequest · 2 properties

input array of LeadInputData required

List of leads for input

Model LeadInputData

id integer (int64) required

Unique integer id of a lead record

Responses

200 OK ResponseOfLead
errors array of Error required

Array of errors that occurred if the request was unsuccessful

Model Error

code string required

Error code of the error. See full list of error codes here

message string required

Message describing the cause of the error

moreResult boolean

Boolean indicating if there are more results in subsequent pages

nextPageToken string

Paging token given if the result set exceeded the allowed batch size

requestId string required

Id of the request made

result array of Lead required

Array of results for individual records in the operation, may be empty

Model Lead

id integer (int32)

Unique integer id of a lead record

membership ProgramMembership

Membership data for the parent program. Only returned via Get Leads By Program Id

Model ProgramMembership

acquiredBy boolean

Whether the lead was acquired by the parent program

isExhausted boolean

Whether the lead is currently exhausted in the stream, if applicable

membershipDate string required

Date the lead first became a member of the program

nurtureCadence string

Cadence of the parent stream if applicable

progressionStatus string required

Program status of the lead in the parent program

reachedSuccess boolean

Whether the lead is in a success-status in the parent program

stream string

Stream that the lead is a member of, if the parent program is an engagement program

reason Reason

Reason object describing why an operation did not succeed for a record

Model Reason

code string required

Integer code of the reason

message string required

Message describing the reason for the status of the operation

status string

Status of the operation performed on the record

success boolean required

Whether the request succeeded

warnings array of Warning required

Array of warnings given for the operation

Model Warning

code integer (int32) required

Integer code of the warning

message string required

Message describing the warning

Generated example
{
  "errors": [
    {
      "code": "string",
      "message": "string"
    }
  ],
  "moreResult": false,
  "nextPageToken": "example-token",
  "requestId": "123",
  "result": [
    {
      "id": 123,
      "membership": {
        "acquiredBy": false,
        "isExhausted": false,
        "membershipDate": "string",
        "nurtureCadence": "string",
        "progressionStatus": "string",
        "reachedSuccess": false,
        "stream": "string"
      },
      "reason": {
        "code": "string",
        "message": "string"
      },
      "status": "string"
    }
  ],
  "success": false,
  "warnings": [
    {
      "code": 123,
      "message": "string"
    }
  ]
}

Referenced models

Generated from swagger-mapi.json. Generated examples are inferred from the schema; they are illustrative and may not be valid production payloads.

↑ ↓ to move, ↵ to open, esc to closeSee all results